Subject: Re: problem with insmod

From: Arrigo Benedetti <[email-masked]>
Date: Thu, 04 Nov 2004 11:26:52 -0800

evilninja wrote:

>-----BEGIN PGP SIGNED MESSAGE-----
>Hash: SHA1
>
>Arrigo Benedetti schrieb:
>  
>
>>After some research I found that to load a module on the 2.6 kernel one
>>    
>>
>
>yes, http://www.linux.org.uk/~davej/docs/post-halloween-2.6.txt is a good
>start for 2.4 -> 2.6 upgrades.
>
>  
>
>>So I compile and install module-init-tools, but I get the same error.
>>Does anyone know what's going on?
>>    
>>
>
>hm, are you sure the new "insmod" and "modprobe" are the *right* ones?
>the PATH  variable will help here or try to specify the exact path on the
>cmd line. here i have:
>
>evil@prinz:~$ /sbin/modprobe -V
>module-init-tools version 3.1-pre6
>vil@prinz:~$ file /sbin/modprobe*
>/sbin/modprobe:           ELF 32-bit LSB executable, Intel 80386, [...]
>/sbin/modprobe.Lmodutils: symbolic link to `insmod'
>/sbin/modprobe.modutils:  symbolic link to `insmod.modutils'
>
>  
>

Yes, I have verified that. Someone has also suggested to check that the 
compiler used to build the module
is the same compiler that build the kernel. The Makefile is below and it 
seems that this is also ok.

-Arrigo

ifndef KERNELRELEASE
   
     LINUX ?= /usr/src/linux-2.6
     PWD := $(shell pwd)
     all:
	     $(MAKE) -C $(LINUX) SUBDIRS=$(PWD) modules
     clean:
	     rm -f *.o *.ko *~ core .depend *.mod.c *.cmd    
   
   else
     obj-m := empty.o

   endif